<?php
require("../../database/dbConection.php");
$opcaoFiltro  = $_POST['opcaoFiltro'];

$formataSexo = array(
  "A" => "AMBOS",
  "M" => "MASCULINO",
  "F" => "FEMININO"
);

switch($opcaoFiltro){

  case "profissional":

    $idUnidade  = $_POST['idUnidade'];

    $sqlParametro = "SELECT reg_tb_parametro_profissional.id_parametro_profissional,
    tb_profissional.nome_profissional,
    tb_profissional.codigoprofissional_cnes,
    reg_tb_parametro_profissional.sexo_permitido,
    reg_tb_parametro_profissional.idade_minima,
    reg_tb_parametro_profissional.idade_maxima
    FROM reg_tb_parametro_profissional
    INNER JOIN tb_profissional ON (reg_tb_parametro_profissional.codigoprofissional_cnes = tb_profissional.codigoprofissional_cnes)
    WHERE (reg_tb_parametro_profissional.codigoestabelecimento_cnes='$idUnidade')
    ORDER BY tb_profissional.nome_profissional";
    $stmParametro = $rsConexao->prepare($sqlParametro);
    $stmParametro -> execute();
    if($stmParametro->rowCount()>0){
      $rsParametro  = $stmParametro->fetchAll(PDO::FETCH_ASSOC);
      foreach($rsParametro AS $fieldParametro){
        $idParametro          = $fieldParametro['id_parametro_profissional'];
        $idProfissional       = $fieldParametro['codigoprofissional_cnes'];
        $nomeProfissional     = mb_strtoupper($fieldParametro['nome_profissional']);
        $sexoPermitidoExibir  = $formataSexo[$fieldParametro['sexo_permitido']];
        $sexoPermitido        = $fieldParametro['sexo_permitido'];
        $idadeMinima          = $fieldParametro['idade_minima'];
        $idadeMaxima          = $fieldParametro['idade_maxima'];

        $linkEditarParametro  = '"editarParametro(' . "'$idParametro#$idProfissional#$sexoPermitido#$idadeMinima#$idadeMaxima')" . '"';
        $linkExcluirParametro = '"excluirParametro(' . "'$idParametro','$idUnidade')" . '"';

        echo "<tr>
          <td align='center'>
            <i class='icofont icofont-edit nova_fonte' title='Editar registro de parâmetro.' onclick=$linkEditarParametro></i>&nbsp;
            <i class='icofont icofont-close-squared nova_fonte_delete' title='Excluir registro de parâmetro.' onclick=$linkExcluirParametro></i>
          </td>
          <td>$nomeProfissional</td>
          <td align='center'>$sexoPermitidoExibir</td>
          <td align='center'>$idadeMinima</td>
          <td align='center'>$idadeMaxima</td>
        </tr>";
      }
    }

  break;

}

?>